package com.ss.android.ugc.effectmanager;

public enum FetchModelType {
    ORIGIN(0),
    ZIP(1);
    
    public int value;

    public final int getValue() {
        return this.value;
    }

    public static FetchModelType fromValue(int i) {
        for (FetchModelType fetchModelType : values()) {
            if (fetchModelType.value == i) {
                return fetchModelType;
            }
        }
        return ORIGIN;
    }

    /* access modifiers changed from: public */
    FetchModelType(int i) {
        this.value = i;
    }
}
